    Save an ARF data set to a file.

save_arf(id, filename=None, resp_id=None, bkg_id=None, ascii=False, clobber=False)
id - int or str
filename - str or None
resp_id - int or str, optional
bkg_id - int or str, optional
ascii - bool, optional
clobber - bool, optional

Write out the ARF data from the default data set to the file 'src.arf':

>>> save_arf('src.arf')

Over-write the file it it already exists, and take the data from the data set "jet":

>>> save_arf('jet', 'out.arf', clobber=True)

Write the data out as an ASCII file:

>>> save_arf('pi.arf', ascii=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set containing the ARF or the filename (the latter is used when filename is set to None, and in this case the id is set to the default identifier, as returned by `get_default_id` ).
filename
The name of the file to write the ARF to (when the id value is explicitly given). The format is determined by the

`ascii` argument.
resp_id
The identifier for the ARF within this data set, if there are multiple responses.
bkg_id
Set if the background ARF should be written out rather than the source ARF.
ascii
If False then the data is written as a FITS format binary table. The exact format of the output file depends on the I/O library in use (Crates or AstroPy).
clobber
This flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False ).

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `filename` parameter. If given two un-named arguments, then they are interpreted as the `id` and `filename`

parameters, respectively. The remaining parameters must be given as named arguments.

Changes in CIAO

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023